/*
	This .do File preforms all analysis to replicate 
	all tables and figures in this publication

	"MASTER_cleaner.do" should be run first. 
*/

cd "C:\Users\g38f293\Dropbox\Youth Employment Fin Ed\nfcs_uas_kyle\fined_rep"

*comment this out if packages already installed.
ssc install xtqreg

/* ---- Paper ---- */
{
		/* Figures */
		{
		// Figure 1 - !!!

		// Figure 2 - !!!


		// Figure 3 
			do "script/analysis/PredictingFWB.do"
			
		// Figure 4
			do "script/analysis/NFCS_EventStudy_Figures.do"
			
		// Figure 5 
			do "script/analysis/NFCS_EventStudy_Figures_EDUC.do"

		// Figure 6
			do "script/analysis/NFCS_OverallEffects_FiguresQ1.do"
			
		// Figure 7
			do "script/analysis/NFCS_OverallEffects_FiguresQ1_EDUC.do"
			
			
		}

		/* Tables  */
		{
		// Table 2 - hand written, and given as a latex table. 

		// Table 3
			do "script/analysis/NFCS_OverallEffects_Table.do"
			
		// Table 4
			do "script/analysis/NFCS_OverallEffects_Table_EDUC.do"
			
		// Table 5
			do "script/analysis/Financial_Knowledge.do"
			do "script/analysis/Financial_Knowledge_EDUC.do"
			
		// Table 6 
			do "script/analysis/NFCS_ObjectiveFinSituation_BYEDUC.do"
		}

} // End paper tables

/* ---- Appendix A ---- */
{
		/* Figures */
		{
		// Figure A.1 - !!!
		
		// Figure A.2 
			do "script/analysis/NFCS_EventStudy_Figures_18.do"
			
		// Figure A.3 
			do "script/analysis/NFCS_FinGoal_Drop_Figures.do"
			
		// Figure A.4
			do "script/analysis/NFCS_OverallEffects_Histogram_DropEachState.do"
			
		// Figure A.5 
			do "script/analysis/NFCS_OverallEffects_Histogram_DropEachState_EDUC.do"
			
		
			
			
		}

		/* Tables  */
		{
		// Table A1 
			do "script/analysis/NFCS_SumStats_Table.do"
			
		// Table A2
			do "script/analysis/NFCS_OverallEffects_Table_State_Linear_Trends.do"
			do "script/analysis/NFCS_OverallEffects_Table_State_Linear_Trends_EDUC.do"	
			
		// Table A3
			do "script/analysis/NFCS_OverallEffects_Table_18.do"
			do "script/analysis/NFCS_OverallEffects_Table_18_EDUC.do"
		
		// Table A4
			do "script/analysis/Financial_Knowledge_FactorAnalysis.do"
			do "script/analysis/Financial_Knowledge_FactorAnalysis_EDUC.do"
		
		// Table A5
			do "script/analysis/NFCS_OverallEffects_Table_Quantile_25_xtq.do"
			do "script/analysis/NFCS_OverallEffects_Table_Quantile_50_xtq.do"
			do "script/analysis/NFCS_OverallEffects_Table_Quantile_75_xtq.do"
			
		// Table A6
			do "script/analysis/NFCS_OverallEffects_Table_Quantile_25_xtq_EDUC.do"
			do "script/analysis/NFCS_OverallEffects_Table_Quantile_50_xtq_EDUC.do"
			do "script/analysis/NFCS_OverallEffects_Table_Quantile_75_xtq_EDUC.do"
		
		
		// Table A7
			do "script/analysis/NFCS_OverallEffects_Table_Singles_Only.do"
			do "script/analysis/NFCS_OverallEffects_Table_Singles_Only_EDUC.do"
			
		}
		
} // End appendix A Tables/Figs.


/* ---- Appendix B ---- */ 
{
		/* Tables  */
		
		// Table B1
			do "script/analysis/UAS_SumStats_Table.do"
			
		// Tables B2 - B5
			do "script/analysis/UAS_OverallEffects_Tables.do"
			do "script/analysis/UAS_OverallEffects_Tables_EDUC.do"
			
} 
