**CODING NFCS STATE-MANDATED FIN ED GRADUATION REQUIREMENT POLICIES**

gen FinEd=.
replace FinEd=2005 if state=="AR"
replace FinEd=2005 if state=="AZ"
replace FinEd=2007 if state=="GA"

replace FinEd=1993 if state=="NH"
replace FinEd=2011 if state=="IA"
replace FinEd=1996 if state=="NY"
replace FinEd=2013 if state=="OR"
replace FinEd=2001 if state=="ID"
replace FinEd=1970 if state=="IL"
replace FinEd=2009 if state=="SC"
replace FinEd=2011 if state=="TN"
replace FinEd=2007 if state=="TX"
replace FinEd=2008 if state=="UT"
replace FinEd=2005 if state=="LA"
**NOTE: LA DROPPED IN 2016 graduating for class of 2018, and then back on the books starting class of 2023**
replace FinEd=1998 if state=="MI"
replace FinEd=2012 if state=="KS"
replace FinEd=2010 if state=="MO"
replace FinEd=2005 if state=="NC"
replace FinEd=2002 if state=="WY"
replace FinEd=2014 if state=="OK"

*New and Confident
replace FinEd=2014 if state=="OH"
replace FinEd=2015 if state=="VA"
replace FinEd=2020 if state=="WV" /*Note: Can opt out if take AP Gov*/
replace FinEd=2017 if state=="AL"
replace FinEd=2014 if state=="NJ"
replace FinEd=2024 if state=="KY" /*9th grade in fall of 2020, from WSJ article about KY*/
*replace FinEd=2018 if state=="WI" /*Dave Mancl verified--may be some issues since it was already in most schools*/
replace FinEd=2022 if state=="NV" /* Passed in 2017, implemented 2018, so that means grad class of 22 according to SB*/
replace FinEd=2017 if state=="ME" /*Passed in 2013, grad documents say requirements amended in 2013 and said it likely took effect by 2017, though v. local control, estimation, talked to Joe Schmidt*/
replace FinEd=2014 if state=="NE" /*Per Jennifer Davidson, these are standards, implementation is tough*/
replace FinEd=2009 if state=="CO" /* Alyssa Wooten for verified*/
*replace FinEd=2020 if state=="NC" /* Just passed in 2019*/

*NOT CONFIDENT, NEED TO BE VERIFIED
replace FinEd=2013 if state=="IN" /*IN Requires fin lit standards begining in schools in 2009 E-mailed for verification*/
replace FinEd=2011 if state=="ND" /*Emailed to make sure this is the right grad year, starts in schools in 2010, 2011 has standards, 2014=> full class of seniors*/
*replace FinEd= if state=="MS" /*Emailed for verification, may be a statewide pilot, may be 2022*/
replace FinEd=2018 if state=="FL" /*FL just went from required to required to offer recently */


/*This official standards document contains the 2011 Minnesota K-12 Academic Standards in Social Studies. The social studies standards were adopted into rule on May 6, 2013 
and became effective May 13, 2013. These standards must be implemented by schools no later than the 2013-2014 school year.*/
replace FinEd=2015 if state=="MN" /*Emailed for verification, said no legislation, send another e-mail?*/

*States know still without:
gen NoFinEd=1 if state=="AK"|state=="CA"|state=="CT"|state=="DC"|state=="DE"|state=="HI"|state=="MA"|state=="MD"|state=="MS"|state=="MT"|state=="PA"|state=="RI"|state=="VT"| state=="NM"|state=="SD"|state=="WA"

/*                            
STATES WITH REQUIRE TO OFFER:
	   **CHOSE ECON OR PF
	   SD (2006)
	   NM 
		MD
*/


gen fin_ed=1 if year_18>=FinEd
replace fin_ed=0 if year_18<FinEd
replace fin_ed=0 if NoFinEd==1
replace fin_ed=0 if FinEd==.
replace fin_ed=0 if state=="LA" & (year_18>=2018&year_18<=2023)


