
// 0 - Load data and create variables
	do "script/NFCS_PreReg.do"
	
	keep if inrange(age, 18, 45) == 1
	est clear
	
	*Relabel so it looks good in LaTex
	label variable fwb "\textbf{FWB}"
	label variable qfwb2_2 "\hspace{0.2cm}\textit{FWB Q1}"
	label variable qfwb2_5 "\hspace{0.2cm}\textit{FWB Q2}"
	label variable qfwb1_5 "\hspace{0.2cm}\textit{FWB Q3}"
	label variable qfwb1_17 "\hspace{0.2cm}\textit{FWB Q4}"
	label variable qfwb1_13 "\hspace{0.2cm}\textit{FWB Q5}\vspace{0.5cm}" // the vspace makes a space between the variables. 

	label variable pfwb "\textbf{PFWB}"
	label variable pfwb2_2 "\hspace{0.2cm}\textit{PFWB Q1}"
	label variable pfwb2_5 "\hspace{0.2cm}\textit{PFWB Q2}"
	label variable pfwb1_5 "\hspace{0.2cm}\textit{PFWB Q3}"
	label variable pfwb1_17 "\hspace{0.2cm}\textit{PFWB Q4}"
	label variable pfwb1_13 "\hspace{0.2cm}\textit{PFWB Q5}"
	
	# delimit ; 
			local fwb_vars "
							fwb 
							qfwb2_2 qfwb2_5 qfwb1_5 qfwb1_17 qfwb1_13
							pfwb
							pfwb2_2 pfwb2_5 pfwb1_5 pfwb1_17 pfwb1_13
							"
			;
		;
		# delimit cr
		
	*get means by grounp 
		estpost sum `fwb_vars' if fin_ed == 1
			matrix meanf1 = e(mean)
			matrix countf1 = e(count)
			
		estpost sum `fwb_vars' if fin_ed == 0 
			matrix meanf0 = e(mean)
			matrix countf0 = e(count)
			
		estpost sum `fwb_vars'  
			matrix mean_ovrl = e(mean)
			matrix count_ovrl = e(count)
			
	*Add difference of means test to the esttab.
	estpost ttest `fwb_vars', by(fin_ed)
	
	
*Esttab all this together
		estadd matrix meanf1
		estadd matrix countf1
		estadd matrix meanf0
		estadd matrix countf0
		estadd matrix mean_ovrl
		estadd matrix count_ovrl
		
	# delimit ;
	esttab using "out/appendix_tableA1.tex", 
		label
		noobs
		replace 
		booktabs
		nonumbers
		nomtitles
		cells(`"
				meanf1(fmt(%5.2f) label("\multicolumn{2}{c}{\textbf{States with Fin Ed}} 
										  &
										 \multicolumn{2}{c}{\textbf{States without Fin Ed}} 
										 & 
										 \multicolumn{3}{c}{\textbf{Overall}}
										 \\
										 \cmidrule(lr){2-3}\cmidrule(lr){4-5}\cmidrule(lr){6-8}									 
										  & \multicolumn{1}{c}{Mean}")) 
				countf1(fmt(%6.0fc) label("\multicolumn{1}{c}{N}"))
				meanf0(fmt(%5.2f) label("\multicolumn{1}{c}{Mean}"))
				countf0(fmt(%6.0fc) label("\multicolumn{1}{c}{N}"))
				b(star fmt(%5.2f) label("\multicolumn{1}{c}{DifTest}"))
				mean_ovrl(fmt(%5.2f) label("\multicolumn{1}{c}{Mean}"))
				count_ovrl(fmt(%6.0fc) label("\multicolumn{1}{c}{N}"))
			   "'
			 )
		star(* 0.1 ** .05 *** 0.01)
	;
	# delimit cr
	
	