

// 0 - Load data and create variables
	do "script/UAS_PreReg.do"
	
	keep if inrange(age, 18, 45) == 1
	
	*Relabel so it looks good in LaTex
			label var pfwb "\textbf{FWB}"
			label var fwb1_exp "\hspace{0.2cm}\textit{UAS Q1}" 
			label var fwb2_getby "\hspace{0.2cm}\textit{UAS Q2}"
			label var fwb3_secure "\hspace{0.2cm}\textit{UAS Q3}"
			label var fwb4_concern "\hspace{0.2cm}\textit{UAS Q4}"
			label var fwb5_never "\hspace{0.2cm}\textit{UAS Q5}"
			label var fwb6_enjoy "\hspace{0.2cm}\textit{UAS Q6}"
			label var fwb7_behind "\hspace{0.2cm}\textit{UAS Q7}"
			label var fwb8_control "\hspace{0.2cm}\textit{UAS Q8}"
			label var fwb9_strain "\hspace{0.2cm}\textit{UAS Q9}"
			label var fwb10_left "\hspace{0.2cm}\textit{UAS Q10}"
	
	est clear

	
	# delimit ; 
			local fwb_vars "
							pfwb - fwb10
							"
			;
		;
		# delimit cr
		
	*get means by grounp 
		estpost sum `fwb_vars' if fin_ed == 1
			matrix meanf1 = e(mean)
			matrix countf1 = e(count)
			
		estpost sum `fwb_vars' if fin_ed == 0 
			matrix meanf0 = e(mean)
			matrix countf0 = e(count)
			
		estpost sum `fwb_vars'  
			matrix mean_ovrl = e(mean)
			matrix count_ovrl = e(count)
			
	*Add difference of means test to the esttab.
	estpost ttest `fwb_vars', by(fin_ed)
	
	
*Esttab all this together
		estadd matrix meanf1
		estadd matrix countf1
		estadd matrix meanf0
		estadd matrix countf0
		estadd matrix mean_ovrl
		estadd matrix count_ovrl
		
	# delimit ;
	esttab using "out/appendix_tableB1.tex", 
		label
		noobs
		replace 
		booktabs
		nonumbers
		nomtitles
		cells(`"
				meanf1(fmt(%5.2f) label("\multicolumn{2}{c}{\textbf{States with Fin Ed}} 
										  &
										 \multicolumn{2}{c}{\textbf{States without Fin Ed}} 
										 & 
										 \multicolumn{3}{c}{\textbf{Overall}}
										 \\
										 \cmidrule(lr){2-3}\cmidrule(lr){4-5}\cmidrule(lr){6-8}									 
										  & \multicolumn{1}{c}{Mean}")) 
				countf1(fmt(%6.0fc) label("\multicolumn{1}{c}{N}"))
				meanf0(fmt(%5.2f) label("\multicolumn{1}{c}{Mean}"))
				countf0(fmt(%6.0fc) label("\multicolumn{1}{c}{N}"))
				b(star fmt(%5.2f) label("\multicolumn{1}{c}{DifTest}"))
				mean_ovrl(fmt(%5.2f) label("\multicolumn{1}{c}{Mean}"))
				count_ovrl(fmt(%6.0fc) label("\multicolumn{1}{c}{N}"))
			   "'
			 )
		star(* 0.1 ** .05 *** 0.01)
	;
	# delimit cr
	
		
	